Skip to main content
GET
Retrieve workflow

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

tagOrId
string
required

The tag or unique, auto-generated identifier for the workflow. Entity identifier - can be a tag or CID

Response

Successfully found workflow

actions
object[]
required

List of actions in the workflow

filter
GLOBAL · object
required

Filter to determine in what entity contexts the workflow can run

isDraft
boolean
required

Whether the workflow is a draft

name
string
required

Name of the workflow

restrictActionCompletionToRunnerUser
boolean
required

If true, only the user who started the workflow can complete actions. Defaults to false.

tag
string
required

Tag of the workflow

variables
object[]
required

List of variable definitions for the workflow

createdAt
string

The date the workflow was created, in ISO 8601 format

createdBy
object
description
string

Description of the workflow

failedRunResponseTemplate
string

Template for the response when the workflow run fails

iconTag
string

Icon tag for the workflow

isRunnableViaApi
boolean

Whether the workflow is runnable via the public API

lastUpdatedAt
string

The date the workflow was last updated, in ISO 8601 format

lastUpdatedBy
object
runResponseTemplate
string

Template for the response when the workflow is completed successfully

runRestrictionPolicies
object[]

List of restriction policies for the workflow

Last modified on September 29, 2026